<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package enjoypress
 */

?>
		</div><!-- .clear -->

	</div><!-- #content .site-content -->

	<?php 
		if( is_home() && is_active_sidebar( 'home-bottom' ) ) {
	?>
		<div class="container">
			<?php dynamic_sidebar( 'home-bottom' ); ?>
		</div><!-- .container -->
	<?php
		}
	?>
	
	<footer id="colophon" class="site-footer">

		<div class="container">

		<?php if ( is_active_sidebar( 'footer-1' ) || is_active_sidebar( 'footer-2' ) || is_active_sidebar( 'footer-3' ) || is_active_sidebar( 'footer-4' ) ) { ?>

			<div class="footer-columns clear">

					<div class="footer-column footer-column-1">
						<?php dynamic_sidebar( 'footer-1' ); ?>
					</div>

					<div class="footer-column footer-column-2">
						<?php dynamic_sidebar( 'footer-2' ); ?>
					</div>

					<div class="footer-column footer-column-3">
						<?php dynamic_sidebar( 'footer-3' ); ?>
					</div>

					<div class="footer-column footer-column-4">
						<?php dynamic_sidebar( 'footer-4' ); ?>
					</div>																	

			</div><!-- .footer-columns -->

		<?php } ?>

		<div class="clear"></div>
						
		</div><!-- .container -->

	</footer><!-- #colophon -->

	<div id="site-bottom" class="clear">

		<div class="container">

		<div class="site-info">

			<?php
				$enjoypress_theme = wp_get_theme();
			?>

			&copy; <?php echo esc_html( date("o") ); ?> <a href="<?php echo esc_url( home_url() ); ?>"><?php echo esc_html( get_bloginfo('name') ); ?></a> - <?php esc_html_e('Theme by', 'enjoypress'); ?> <a href="<?php echo esc_url( $enjoypress_theme->get( 'AuthorURI' ) ); ?>"><?php esc_html_e('WPEnjoy', 'enjoypress'); ?></a> &middot; <?php esc_html_e('Powered by', 'enjoypress'); ?> <a href="<?php echo esc_url( __( 'https://wordpress.org', 'enjoypress' ) ); ?>" rel="nofollow"><?php esc_html_e('WordPress', 'enjoypress'); ?></a>

		</div><!-- .site-info -->

		<?php 
			if ( has_nav_menu( 'footer' ) ) {
				wp_nav_menu( array( 'theme_location' => 'footer', 'menu_id' => 'footer-menu', 'menu_class' => 'footer-nav' ) );
			}
		?>	

		</div><!-- .container -->

	</div><!-- #site-bottom -->

</div><!-- #page -->

<div id="back-top">
	<a href="#top" title="<?php esc_attr_e('Back to top', 'enjoypress'); ?>"><span class="genericon genericon-collapse"></span></a>
</div>

<?php wp_footer(); ?>

</body>
</html>
